EntityRender = class('Entity', nil)
EntityRender.instances = {}

function EntityRender.renderInstances()
    for i, instance in ipairs(EntityRender.instances) do
        instance:render()
    end
end

function EntityRender:initialize()
    table.insert( EntityRender.instances, self )
end

function EntityRender:render()
    -- stub function
end