require 'InputController'

PortInputController = class('PortInputController', InputController)

function PortInputController:initialize( portController )
    InputController.initialize(self)
    self.portController = portController
end

function PortInputController:update( dt )
    if GridController.instance:getSystemUnderMouse() == self.portController.systemController then
        local p = getCurrentCamera():localMouseCoords( self.portController.systemController.position )
        local boundingBox = self.portController:getBoundingBox()
        self:updateMouseDownState( p, boundingBox, 'l', 'm', 'r' )
    else
        self.mouseDownState = MOUSE_OFF
    end
end