util = {}

-- constants
DIR_N   = 0
DIR_NW  = 1
DIR_SW  = 2
DIR_S   = 3
DIR_SE  = 4
DIR_NE  = 5
--

function util.reverseHexDirection( direction )
    return (direction + 3) % 6
end

function util.lerpXY( x1, y1, x2, y2, t )
    local x3 = (x2 - x1) * t
    local y3 = (y2 - y1) * t
    return x1 + x3, y1 + y3
end

function util.reverseXY( x1, y1, x2, y2 )
    return x2, y2, x1, y1
end

function table.shuffle( t )
    for i = #t, 2, -1 do
        local dice = math.random(i)
        t[i], t[dice] = t[dice], t[i]
    end
end

return util