-- Love mock.
-- Mocks some of the functions provided by the 2d game library, LOVE.
-- Also mocks some other stuff.
require 'libs.vector'

love = {}
love.mouse = {}
love.mouse.resetDown = function()
    love.mouse.down = {
        l = false,
        r = false,
        m = false,
        wd = false,
        wu = false,
        x1 = false,
        x2 = false
    }
end
love.mouse.getPosition = function() return love.mouse.x, love.mouse.y end
love.mouse.getX = function() return love.mouse.x end
love.mouse.getY = function() return love.mouse.y end
love.mouse.isDown = function(...)
    for _, v in ipairs({...}) do
        if love.mouse.down[v] then return true end
    end
end

love.mouse.x = 10
love.mouse.y = 20
love.mouse.resetDown()

worldMousePos = vector(10, 10)
getCurrentCamera = function()
    return {
        mousepos = function(_) return worldMousePos end,
        localMouseCoords = function(_,v)
        return worldMousePos - v
        end
    }
end