math.randomseed( os.time() )

require 'ProgramInputController'
require 'GridPathfinder'

local gridController = GridController:new()
for i, system in ipairs( gridController.systems ) do
    local r = math.random(0,3)
    while r > 0 do
        r = r - 1
        local program = ProgramController:new( ProgramInputController(), system, ProgramRenderer() )
        program:setPosition( math.random(400), math.random(500) )
        if math.random(3) == 1 then
            program:navigateToSystem( gridController.systems[ math.random( #gridController.systems ) ] )
        end
    end
end

